
body {
	background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
	background-size: 400% 400%;
	animation: gradient 15s ease infinite;
	height: 100vh;
}

@keyframes gradient {
	0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
}

  
  
  code {
    font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
      monospace;
  }
  
  * {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
  }
  
  input {
    outline: none;
    border: none;
  }
  
  ::-webkit-scrollbar {
    display: none;
  }
  
  .login__container {
    background-color: transparent;
    display: grid;
    grid-template-columns: 55% 45%;
    height: 100vh;
    width: 100vw;
  }
  
  .login__logo {
    
    width: 10.25rem;
    padding-left: 2.125rem;

  }
  
  .login__logo img {
    height: auto;
    width: 15.25rem !important;
    
    margin-left: 65px;
    margin-top: -75px;
  }
  
  .login__welcome {

    padding-left: 10.5rem;
    padding-top: 13.5rem;
  }
  
  .login__welcome img {
    width: 18.75rem;
  }
  
  .mt-18 {
    margin-top: -1.125rem;
  }
  
  .login__welcome p { 
    font-size: 1.5rem;
    padding-left: 4.50rem;
    margin-top: -15px;
    font-weight: bolder;
    font-family: Arial, Helvetica, sans-serif;
    color: #F3F4F6;
  }
  
  .login__form-container {
    padding-top: 6.5rem;
  }
  
  .login__form {
    background-color: #fff;
    box-shadow: 0 2px 4px rgb(0 0 0 / 10%), 0 8px 16px rgb(0 0 0 / 10%);
    padding: 1.25rem;
    width: 24.75rem;
  }
  
  .login__form input {
    border: 1px solid #E5E7EB;
    font-size: 1rem;
    margin-bottom: 0.75rem;
    padding: 0.875rem 1rem;
    width: 100%;
  }
  
  .login__submit-btn {
    background-color:#f80707;
    border: 0;
    color: #fff;
    font-size: 1rem;
    font-weight: 600;
    outline: none;
    padding: 0.875rem 1rem;
    width: 100%;
  }
  
  .login__submit-btn:hover {
    cursor: pointer;
    opacity: 0.8;
  }
  
  .login__forgot-password {
    border-bottom: 1px solid #E5E7EB;
    color: #f10c36;
    display: block;
    font-size: 0.9375rem;
    padding: 1.25rem 0;
    text-align: center;
  }
  
  .login__forgot-password:hover {
    cursor: pointer;
  }
  
  .login__signup {
    color: #f10c36;
    display: block;
    font-size: 0.9375rem;
    padding: 1.25rem 0;
    text-align: center;
  }
  
  .login__signup:hover {
    cursor: pointer;
    opacity: 0.8;
  }
  
  
  .loading {
    background-color: #fff;
    display: block; /* Hidden by default */
    height: 100%; /* Full height */
    left: 0;
    /* overflow: auto; */
    position: fixed; /* Stay in place */
    top: 0;
    width: 100%; /* Full width */
    z-index: 1000; /* Sit on top */
  }
  
  .loading--hide { 
    display: none;
  }
  
  .loading--active {
    background-color: rgba(255, 255, 255, .8);
  }
  
  .lds-roller {
    display: inline-block;
    height: 5rem;
    left: 50%;
    position: fixed;
    top: 35%;
    width: 5rem;
    z-index: 100;
  }
  .lds-roller div {
    animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    transform-origin: 40px 40px;
  }
  .lds-roller div:after {
    content: " ";
    display: block;
    position: absolute;
    width: 7px;
    height: 7px;
    border-radius: 50%;
    background: #f70754;
    margin: -4px 0 0 -4px;
  }
  .lds-roller div:nth-child(1) {
    animation-delay: -0.036s;
  }
  .lds-roller div:nth-child(1):after {
    top: 63px;
    left: 63px;
  }
  .lds-roller div:nth-child(2) {
    animation-delay: -0.072s;
  }
  .lds-roller div:nth-child(2):after {
    top: 68px;
    left: 56px;
  }
  .lds-roller div:nth-child(3) {
    animation-delay: -0.108s;
  }
  .lds-roller div:nth-child(3):after {
    top: 71px;
    left: 48px;
  }
  .lds-roller div:nth-child(4) {
    animation-delay: -0.144s;
  }
  .lds-roller div:nth-child(4):after {
    top: 72px;
    left: 40px;
  }
  .lds-roller div:nth-child(5) {
    animation-delay: -0.18s;
  }
  .lds-roller div:nth-child(5):after {
    top: 71px;
    left: 32px;
  }
  .lds-roller div:nth-child(6) {
    animation-delay: -0.216s;
  }
  .lds-roller div:nth-child(6):after {
    top: 68px;
    left: 24px;
  }
  .lds-roller div:nth-child(7) {
    animation-delay: -0.252s;
  }
  .lds-roller div:nth-child(7):after {
    top: 63px;
    left: 17px;
  }
  .lds-roller div:nth-child(8) {
    animation-delay: -0.288s;
  }
  .lds-roller div:nth-child(8):after {
    top: 56px;
    left: 12px;
  }
  @keyframes lds-roller {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
  
  /* The Modal (background) */
  .signup {
    background-color: rgba(255, 255, 255, .8);
    display: block; /* Hidden by default */
    height: 100%; /* Full height */
    left: 0;
    /* overflow: auto; */
    position: fixed; /* Stay in place */
    top: 0;
    width: 100%; /* Full width */
    z-index: 1; /* Sit on top */
  }
  
  .signup--hide {
    display: none;
  }
  
  /* Modal Content/Box */
  .signup__content {
    background-color: #fefefe;
    box-shadow: 0 2px 4px rgb(0 0 0 / 10%), 0 8px 16px rgb(0 0 0 / 10%);
    margin: 15% auto; /* 15% from the top and centered */
    margin-top: 10%;
    width: 27rem; /* Could be more or less, depending on screen size */
  }
  
  .signup__container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }
  
  .signup__title {
    font-size: 1.25rem;
    font-weight: 600;
    padding: 1.25rem 0 0.5rem 1.25rem;
  }
  
  .signup__close {
    align-items: center;
    display: grid;
    justify-items: right;
    padding: 1.25rem 1.25rem 0.5rem 0;
  }
  
  .signup__close img:hover { 
    cursor: pointer;
  }
  
  .signup__subtitle {
    background: #E5E7EB;
    height: 1px;
    margin-bottom: 0.5rem;
    width: 100%;
  }
  
  .signup__form {
    width: 100%;
    padding: 1.25rem;
  }
  
  .signup__form input {
    background-color: #F3F4F6;
    border: 1px solid #E5E7EB;
    display: block;
    font-size: 0.9375rem;
    margin-bottom: 0.75rem;
    padding: 0.875rem 1rem;
    width: 100%;
  }
  
  .signup__form select {
    background-color: #F3F4F6;
    border: 1px solid #E5E7EB;
    display: block;
    font-size: 0.9375rem;
    height: 2.625rem;
    margin-bottom: 0.75rem;
    outline: none;
    padding: 0 1rem;
    width: 100%;
  }
  
  .signup__btn {
    background-color:#7c55c9;
    border: 0;
    color: #fff;
    display: block;
    font-size: 1rem;
    font-weight: 600;
    margin: 1.25rem auto;
    outline: none;
    padding: 0.875rem 1rem;
  }
  
  .signup__btn:hover {
    cursor: pointer;
    opacity: 0.8;
  }
  
  .header {
    background: #f10c36;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    height: 3.5rem;
    width: 100%;
  }
  
  .header__left {
    align-items: center;
    display: grid;
    grid-gap: 1rem;
    grid-template-columns: max-content max-content;
    padding-left: 0.75rem;
  }
  
  .header__left h1 {
    font-size: 1.5rem;
    color: #fff;
  }
  
  .header__right {
    align-items: center;
    color: white;
    display: grid;
    grid-gap: 0.75rem;
    grid-template-columns: max-content max-content max-content;
    justify-content: right;
    padding-right: 0.75rem;
  }
  
  .header__right--hide { 
    display: none;
  }
  
  .header__logout {
    align-items: center;
    color: #fff;
    display: grid;
    justify-content: right;
    padding-right: 0.75rem;
  }
  
  .header__right img {
    width: 1.5rem;
  }
  
  .header__logout span:hover {
    cursor: pointer;
    opacity: 0.8;
  }
  
  #cometchat {
    width: 100vw;
    height: calc(100vh - 3.25rem);
  }
  
  #cometchat__widget {
    width: 100%;
    height: 100%;
  }


  .avatar-upload {
    position: relative;
    max-width: 205px;
    margin: 10px auto;
  }
  
  .avatar-upload .avatar-edit {
    position: absolute;
    right: 12px;
    z-index: 1;
    top: 10px;
  }
  
  .avatar-upload .avatar-edit input {
    display: none;
  }
  
  .avatar-upload .avatar-edit input + label {
    display: inline-block;
    width: 34px;
    height: 34px;
    margin-bottom: 0;
    border-radius: 100%;
    background: #FFFFFF;
    border: 1px solid transparent;
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.12);
    cursor: pointer;
    font-weight: normal;
    transition: all 0.2s ease-in-out;
  }
  
  .avatar-upload .avatar-edit input + label:hover {
    background: #f1f1f1;
    border-color: #d6d6d6;
  }
  
  .avatar-upload .avatar-edit input + label:after {
    /*content: "\f040";*/
    /*font-family: 'FontAwesome';*/
    color: #757575;
    position: absolute;
    top: 10px;
    left: 0;
    right: 0;
    text-align: center;
    margin: auto;
  }
  
  .avatar-upload .avatar-preview {
    width: 192px;
    height: 192px;
    position: relative;
    border-radius: 100%;
    border: 6px solid #F8F8F8;
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
  }
  
  .avatar-upload .avatar-preview > div {
    width: 100%;
    height: 100%;
    border-radius: 100%;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
  }

